Page MenuHomePhabricator

Can't save edited collection
Closed, ResolvedPublic

Description

Uncaught TypeError: Cannot read property 'addPagesToCollection' of undefined
calls.push(this.collectionGateway.addPagesToCollection(collection.id, additions));

Fantastic...

Event Timeline

Jhernandez raised the priority of this task from to Needs Triage.
Jhernandez updated the task description. (Show Details)
Jhernandez added a project: Gather.
Jhernandez added a subscriber: Jhernandez.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 27 2016, 11:32 AM
phuedx triaged this task as Unbreak Now! priority.Jan 27 2016, 11:33 AM
phuedx set Security to None.

I am unable to reproduce the problem. Can you please list the steps to do so? Thanks!

phuedx added a subscriber: phuedx.Jan 27 2016, 5:07 PM

@Jhernandez: Could you add your browser and OS versions to the report, as well as steps to reproduce (as @Pranavmk98 has asked for above).

Sorry, I thought it was a general problem:

  • OS: OSX 10.11
  • Chrome 47.0.2526.111 & Firefox 45

Steps:

  1. Log in
  2. Visit https://en.m.wikipedia.org/wiki/Special:Gather/id/617/Places_I%27ve_visited
  3. Click Edit under description
  4. Modal opens.
    1. Click on search bar
  5. Type Mexico for example
    1. Select mexico
    2. Back to the edit overlay
  6. Click save
    1. Buttton stays dimmed / disabled
  7. Open console and see the error in the description triggered by the line in the description

Are you sure this is not fixed on beta labs?
I can edit http://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Gather/id/175/A28 just fine.
Sounds a lot like T123395

@Jdlrobson You're right.

Let's keep this open to figure out what happened with this weeks deploy.

This was the commit that fixed it https://gerrit.wikimedia.org/r/#/c/263600/3/resources/ext.gather.page.search/CollectionPageList.js

Done the 12th, we did a release the 21st, not deployed yet.

Seems like a good candidate for it.

Jdlrobson closed this task as Resolved.Jan 28 2016, 12:37 AM
Jdlrobson claimed this task.

Confirmed fixed.

Jdlrobson reopened this task as Open.Jan 28 2016, 12:48 AM

Whoops. I forgot to say it's fixed in wmf11 so we'll have to wait till tomorrow for it to be fixed on enwiki.

(Feel free to swat to wmf10 if you are on the European timezone and have the energy)

No need if it's going out this afternoon (GMT).

Confirmed on en.wikivoyage which was broken yesterday.

Thanks @Jdlrobson, I'm signing off on this.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 2 2016, 11:10 PM